POST api/medistreamprogramapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "e9ecf468-123b-4391-a523-3e1f628ed6dd",
"id": "9111d88c-2cba-4190-bad5-62093137e0a2",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>9111d88c-2cba-4190-bad5-62093137e0a2</id> <local_id>1</local_id> <medistream_id>e9ecf468-123b-4391-a523-3e1f628ed6dd</medistream_id> <name>sample string 3</name> </medistream_program>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a6031ab0-9472-4ec0-bef2-d44b2c3ba1f2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a6031ab0-9472-4ec0-bef2-d44b2c3ba1f2</guid>